$numberOfDaemons = 4

for ($i=1; $i -le $numberOfDaemons; $i++)
{
    if (Test-Path $("HighPerfDocxGenerationDaemon" + $i + ".cs"))
    {
        Remove-Item $("HighPerfDocxGenerationDaemon" + $i + ".cs");
    }
    if (Test-Path $("HighPerfDocxGenerationDaemonAssemblyInfo" + $i + ".cs"))
    {
        Remove-Item $("HighPerfDocxGenerationDaemonAssemblyInfo" + $i + ".cs");
    }
    Get-Content HighPerfDocxGenerationDaemon.cs |
        % {
            $_ -replace "static int GeneratorNumber = 1;", $("static int GeneratorNumber = " + $i + ";")
          } > $("HighPerfDocxGenerationDaemon" + $i + ".cs");
    Get-Content Properties/AssemblyInfo.cs |
        % {
            $_ -replace "HighPerfDocxGenerationDaemon", $("HighPerfDocxGenerationDaemon" + $i)
          } |
		% {
			$_ -replace "1.0.0.0", $("1.0.0." + $i)
          } > $("HighPerfDocxGenerationDaemonAssemblyInfo" + $i + ".cs");
    C:\Windows\Microsoft.NET\Framework\v4.0.30319\csc `
        $(".\HighPerfDocxGenerationDaemon" + $i + ".cs") `
		$(".\HighPerfDocxGenerationDaemonAssemblyInfo" + $i + ".cs") `
        /reference:"C:\Program Files (x86)\Open XML SDK\V2.5\lib\DocumentFormat.OpenXml.dll" `
        /reference:"C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.5.1\WindowsBase.dll"
}

for ($i=1; $i -le $numberOfDaemons; $i++)
{
    Start-Process $(".\HighPerfDocxGenerationDaemon" + $i + ".exe") -WindowStyle Normal
}